> ## Documentation Index
> Fetch the complete documentation index at: https://docs.deribit.com/llms.txt
> Use this file to discover all available pages before exploring further.

# public/get_index_price_names

> Retrieves the identifiers (names) of all supported price indexes. Price indexes are reference prices used for mark price calculations, settlement, and other market operations.

When the `extended` parameter is set to `true`, the response includes additional information such as whether future combo creation and option combo creation are enabled for each index.

[Try in API console](https://test.deribit.com/api_console?method=%2Fpublic%2Fget_index_price_names)





## OpenAPI

````yaml /specifications/deribit_openapi.json get /public/get_index_price_names
openapi: 3.0.0
info:
  title: Deribit API
  version: 2.1.1
servers:
  - url: https://test.deribit.com/api/v2
security: []
tags:
  - name: WebSocket Only
    description: Can only be used over websockets.
  - name: Public
    description: Public methods can be used without authentication.
  - name: Private
    description: >-
      <p>Private methods require authentication. All requests must include a
      valid OAuth2 token.</p>

      <p>A token can be requested using the <a
      href="#public-auth">/public/auth</a> method.</p>

      <p>When using the websockets protocol, the token must be included as a
      parameter <code>access_token</code> in the message. When using REST (HTTP
      GET), the token may also be passed in the <code>Authorization</code>
      header.</p>
  - name: Authentication
  - name: Session Management
  - name: Subscription Management
    description: >-
      Subscription works as [notifications](#notifications), so users will
      automatically (after subscribing) receive messages from the server.
      Overview for each channel response format is described in
      [subscriptions](#subscriptions) section.
  - name: Account Management
  - name: Trading
  - name: Market Data
  - name: Wallet
  - name: Chat
paths:
  /public/get_index_price_names:
    get:
      tags:
        - Market Data
        - Public
      description: >+
        Retrieves the identifiers (names) of all supported price indexes. Price
        indexes are reference prices used for mark price calculations,
        settlement, and other market operations.


        When the `extended` parameter is set to `true`, the response includes
        additional information such as whether future combo creation and option
        combo creation are enabled for each index.


        [Try in API
        console](https://test.deribit.com/api_console?method=%2Fpublic%2Fget_index_price_names)

      parameters:
        - name: extended
          in: query
          required: false
          schema:
            type: boolean
            default: false
            example: true
          description: >-
            When set to `true`, returns additional information including
            `future_combo_creation_enabled` and `option_combo_creation_enabled`
            for each index
      requestBody:
        content:
          application/json:
            examples:
              request:
                value:
                  jsonrpc: '2.0'
                  id: 1
                  method: public/get_index_price_names
                  params:
                    extended: true
                description: JSON-RPC Request Example
        description: JSON-RPC request body
      responses:
        '200':
          $ref: '#/components/responses/PublicGetIndexPriceNamesResponse'
components:
  responses:
    PublicGetIndexPriceNamesResponse:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/PublicGetIndexPriceNamesResponse'
          examples:
            response:
              value:
                jsonrpc: '2.0'
                id: 25718
                result:
                  - btc_eth
                  - btc_usdc
                  - eth_usdc
              description: Response example
      description: Success response
  schemas:
    PublicGetIndexPriceNamesResponse:
      properties:
        jsonrpc:
          type: string
          enum:
            - '2.0'
          description: The JSON-RPC version (2.0)
        id:
          type: integer
          description: The id that was sent in the request
        result:
          type: array
          items:
            type: object
            properties:
              name:
                type: string
                description: Index name
              future_combo_creation_enabled:
                type: boolean
                description: >-
                  Whether future combo creation is enabled for this index (only
                  present when `extended`=`true`)
              option_combo_creation_enabled:
                type: boolean
                description: >-
                  Whether option combo creation is enabled for this index (only
                  present when `extended`=`true`)
            required:
              - name
      required:
        - jsonrpc
        - result
      type: object

````